Skip to main content

CreateTask - Create a real-time meeting minutes task

Creates a real-time meeting minutes task.

Prerequisites

Activate the service and obtain and configure an API key. To prevent security risks from code leaks, configure the API key as an environment variable instead of hard coding it in your code.
To grant temporary access permissions to third-party applications or users, or want to strictly control risky operations such as accessing or deleting sensitive data, you can use a temporary authentication token.Compared to a long-term API key, a temporary authentication token is valid for only a short period (60 seconds) and offers higher security. It is suitable for temporary call scenarios and can effectively reduce the risk of API key leaks.Usage: In your code, replace the API key used for authentication with the obtained temporary authentication token.

Overall call flow

For more information, see Real-time meetings.

Endpoint

https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation

Request method

POST method

Request headers

Authorization: Bearer sk-xxxxxxxxxxxxxx
Content-Type: application/json
Replace the value of Authorization with your actual API key.

Request parameters

Name

Type

Required

Description

Example

model

string

Yes

The business type. Set the value to tingwu-meeting.

tingwu-meeting

input

object

Yes

You can pass the relevant business parameters.

input.type

string

Yes

The task type. To create a real-time meeting task, set the value to `realtime`.

realtime

input.appId

string

Yes

The application ID. You can obtain it from the application configuration page in the console.

input.task

string

Yes

The task type. Set the value to createTask to create a task.

createTask

input.format

string

Yes

The encoding format of the meeting audio. Valid formats: pcm, opus, aac, speex, and mp3.

This parameter is required when you create a meeting. It is optional when you end a meeting and generate minutes.

pcm

input.sampleRate

int

Yes

The sample rate of the meeting audio. Valid values: 8000 and 16000.

This parameter is required when you create a meeting. It is optional when you end a meeting and generate minutes.

16000

input.phraseId

string

No

The ID of the hotword list. You can obtain it from the Hotwords page in the console.

This parameter is required when you create a meeting. It is optional when you end a meeting and generate minutes.

input.dataId

string

Yes

The `dataId` obtained when the meeting was created.

This parameter is required when you end a meeting and generate minutes. It is optional when you create a meeting.

parameters

object

No

The control parameters for generating real-time meeting minutes. If you pass a null object, the published online configuration is used.

parameters.transcription

object

No

The transcription control parameters.

parameters.transcription.model

string

No

The transcription model. Valid values:

  • cn (supports Chinese and English)

  • multilingual (supports Chinese, English, Japanese, Korean, and Cantonese)

  • en (English model)

  • yue (Cantonese model)

  • ja (Japanese model)

  • ko (Korean model)

  • domain-education (education realm model, supports Chinese and English)

  • domain-automotive (automotive realm model, supports Chinese, English, and Cantonese)

multilingual

parameters.transcription.languageHints

array

No

This parameter takes effect only when parameters.transcription.model is set to multilingual. It specifies the possible languages in the audio. Languages not specified in this parameter will not appear in the recognition results.

["cn", "en"]

parameters.transcription.diarizationEnabled

bool

No

Specifies whether to enable speaker diarization.

true

parameters.transcription.diarizationSpeakerCount

int

No

The target number of speakers for diarization. Valid values:

  • 0: The number of speakers is uncertain.

  • 2: Distinguishes between two speakers.

The default value is 0.

0

parameters.transcription.translationEnabled

bool

No

Specifies whether to enable translation.

true

parameters.transcription.translationTargetLang

array

No

If translation is enabled, you must set the target language. Supported target languages:

  • cn: Chinese

  • en: English

  • ja: Japanese

  • ko: Korean

  • de: German

  • fr (French)

  • ru (Russian)

You can select only one item at a time.

["en"]

parameters.audio

object

No

The audio parameters.

parameters.audio.audioChannelMode

string

No

The multi-channel audio configuration. Valid values:

  • `mix`: Mixes audio channels before speaker diarization.

  • Empty string

If you pass an empty string or do not pass this parameter, the operation varies based on the audio sample rate:

  • 16 kHz audio: Only the first channel is recognized.

  • 8 kHz audio: Channel 1 is recognized as Speaker 1, and Channel 2 is recognized as Speaker 2.

mix

parameters.analysis

object

No

The large model analysis parameters.

parameters.analysis.model

string

No

The global analysis model. Valid values:

  • default (default analysis model)

  • tingwu-plus

  • qwen-plus

  • qwq

tingwu-plus

parameters.analysis.keyInformationEnabled

bool

No

Specifies whether to extract keywords.

true

parameters.analysis.actionsEnabled

bool

No

Specifies whether to extract action items.

true

parameters.analysis.fullSummaryEnabled

bool

No

Specifies whether to extract a full-text summary.

true

parameters.analysis.fullSummaryFormat

string

No

The format of the full-text summary. Valid values:

  • default (Summarizes the entire text in a single paragraph.)

  • `markdown`: A Markdown-formatted summary.

This parameter takes effect only when parameters.analysis.fullSummaryEnabled is `true`.

default

parameters.analysis.conversationalEnabled

bool

No

Specifies whether to extract speaker summaries.

true

parameters.analysis.questionsAnsweringEnabled

bool

No

Specifies whether to extract a Q&A review (or key points review).

true

parameters.analysis.mindMapEnabled

bool

No

Specifies whether to extract a mind map.

true

parameters.analysis.mindMapFormat

string

No

The format of the extracted mind map. Valid values:

  • `timestamp`: Includes timestamps in the mind map.

  • `plain`: Does not include timestamps in the mind map.

This parameter takes effect only when parameters.analysis.mindMapEnabled is `true`.

timestamp

parameters.analysis.pptExtractionEnabled

bool

No

Specifies whether to extract PPT slides and PPT summaries from the video.

true

parameters.analysis.autoChaptersEnabled

bool

No

Specifies whether to enable chapter overviews.

true

parameters.analysis.autoChapterGranularity

string

No

The granularity for extracting chapter overviews. Valid values:

  • `Coarse`: Approximately 4 chapters per hour of audio/video.

  • `General`: Approximately 6 chapters per hour of audio/video.

  • `Meticulous`: Approximately 12 to 15 chapters per hour of audio/video.

This parameter takes effect only when parameters.analysis.autoChaptersEnabled is `true`.

Coarse

parameters.analysis.autoChapterTitleLengthLevel

string

No

The length level of chapter titles. Valid values:

  • `Short`: 6 to 25 characters, with an average of about 13 characters.

  • `Normal`: 10 to 28 characters, with an average of about 16 characters.

  • `Long`: 10 to 30 characters, with an average of about 20 characters.

This parameter takes effect only when parameters.analysis.autoChaptersEnabled is `true`.

Normal

parameters.analysis.textPolishEnabled

bool

No

Specifies whether to convert spoken language to written text.

true

parameters.analysis.customPromptEnabled

bool

No

Specifies whether to enable custom prompts.

true

parameters.analysis.customPromptModel

string

No

The analysis model for custom prompts. Valid values:

  • tingwu-turbo

  • tingwu-plus

  • qwen-max

This parameter takes effect only when parameters.analysis.customPromptEnabled is `true`.

tingwu-plus

parameters.analysis.customPromptTransType

string

No

Controls how the {Transcription} placeholder in the prompt is replaced with text. The protocols are as follows:

  • `default`: Transcription result only.

    • Example: What is the weather like in Beijing? What is the weather like in Shanghai?

  • `chat`: Speaker + transcription result.

    • Example: Speaker 1: What is the weather like in Beijing?\nSpeaker 2: What is the weather like in Shanghai?\n

  • `sentence-chat`: Sentence ID + speaker + result.

    • Example: [1] Speaker 1: What is the weather like in Beijing?\n[2] Speaker 2: What is the weather like in Shanghai?\n

This parameter takes effect only when parameters.analysis.customPromptEnabled is `true`.

chat

parameters.analysis.customPromptContent

string

No

The custom prompt.

This parameter takes effect only when parameters.analysis.customPromptEnabled is `true`.

Note: You must include the {Transcription} placeholder in this parameter. Tingwu automatically inserts the transcription result at the placeholder's location.

If the {Transcription} placeholder is not set, the custom prompt feature will not work.

Please help me extract the role corresponding to each speaker ID from the original text. Possible roles include sales staff and test drive customers. The original text is as follows: {Transcription}

Response parameters

Name

Type

Description

Example

output

object

output.dataId

string

The task ID.

output.status

int

  • 0: Completed

  • 1: Generating minutes

  • 2: Failed

  • 3: Transcribing

3

usage

object

The usage. This is currently a null object.

{}

code

string

The error code.

InvalidParameter

message

string

The error message.

Agent Input text format error.

request_id

string

The request ID.

f97ee37d-0f9c-9b93-b6bf-bd263a232bf9

Request examples

Replace sk-*** in the Authorization request header with your actual Alibaba Cloud Model Studio API key.

Create a real-time meeting

curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation' \
--header 'Authorization: Bearer sk-******e181c' \
--header 'Content-Type: application/json' \
--data '{
    "model": "tingwu-meeting",
    "input": {
        "task": "createTask",
        "appId": "tw_***",
        "type": "realtime",
        "format": "pcm",
        "sampleRate": 16000,
        "phraseId": "DEA******Isv"
    },
    "parameters": {
        "transcription": {
          "model": "multilingual",
          "languageHints": ["cn", "en"],
          "diarizationEnabled": true,
          "diarizationSpeakerCount": 0,
          "translationEnabled": true,
          "translationTargetLang": ["ja"]
        },
        "audio": {
          "audioChannelMode": ""
        },
        "analysis": {
          "model": "default",
          "keyInformationEnabled": true,
          "actionsEnabled": false,
          "fullSummaryEnabled": true,
          "fullSummaryFormat": "default",
          "conversationalEnabled": false,
          "questionsAnsweringEnabled": false,
          "mindMapEnabled": true,
          "mindMapFormat": "plain",
          "pptExtractionEnabled": false,
          "autoChaptersEnabled": true,
          "autoChapterGranularity": "Coarse",
          "autoChapterTitleLengthLevel": "Short",
          "textPolishEnabled": false,
          "customPromptEnabled": true,
          "customPromptModel": "tingwu-turbo",
          "customPromptTransType": "chat",
          "customPromptContent": "Please help me extract the role corresponding to each speaker ID from the original text. Possible roles include sales staff and test drive customers. The original text is as follows: {Transcription}"
       }
    }
}'

End the real-time meeting and create minutes

curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generation' \
--header 'Authorization: Bearer sk-******e181c' \
--header 'Content-Type: application/json' \
--data '{
    "model": "tingwu-meeting",
    "input": {
        "task": "createTask",
        "appId": "tw_***",
        "type": "realtime",
        "dataId": "BEc******syu"
    }
}'
Agent Development
Agent Context
Agent Governance & Evolution
Store
Application Marketplace